Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with the wireless-drivers tree

From: Kalle Valo <[email-masked]>
Date: Tue, 24 Mar 2020 09:00:54 +0200

Stephen Rothwell <[email-masked]> writes:

> Today's linux-next merge of the wireless-drivers-next tree got a
> conflict in:
>
>   drivers/net/wireless/intel/iwlwifi/pcie/drv.c
>
> between commit:
>
>   cf52c8a776d1 ("iwlwifi: pcie: add 0x2526/0x401* devices back to cfg detection")
>
> from the wireless-drivers tree and commits:
>
>   67eb556da609 ("iwlwifi: combine 9260 cfgs that only change names")
>   d6f2134a3831 ("iwlwifi: add mac/rf types and 160MHz to the device tables")
>
> from the wireless-drivers-next tree.
>
> I fixed it up (I am not sure wat to do with this, so I just dropped
> the former changes for now) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks Stephen. Luca, how do you propose to fix this conflict?

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches